<template>
  <div
    class="flex overflow-auto hideScrollbar bg-background5 menu-tab-header-style relative"
  >
    <nuxt-link
      v-for="menu in menuTabHeaders"
      :key="menu.TabType"
      :to="menu.TabURL"
      :name="menu.TabType"
      class="game-type"
    >
      <div
        class="flex items-center p-2 h-[40px] whitespace-nowrap gap-1 space relative"
        :class="
          checkActiveTab(activetab, menu) ? 'border-selected z-20' : 'line'
        "
      >
        <div class="w-3 h-3 icon">
          <svg-icon
            :svg-name="`icon-${menu?.TabType.toLowerCase().replace(' ', '-')}`"
            class="icon w-3 h-3"
            :class="{ 'fill-selected': checkActiveTab(activetab, menu) }"
          />
        </div>
        <p
          class="text-sm leading-[14px] uppercase"
          :class="checkActiveTab(activetab, menu) ? 'fc-primary' : '--text4'"
        >
          {{ $t(menu.TabType.replace(" ", "_").toLowerCase()) }}
        </p>
      </div>
    </nuxt-link>
    <nuxt-link
      v-if="isAllowPromotionTab"
      to="/promotion"
      name="Promotion"
      class="game-type"
    >
      <div
        class="flex items-center p-2 h-[40px] whitespace-nowrap gap-1 space relative"
        :class="activetab === 'promotion' ? 'border-selected z-20' : 'line'"
      >
        <div class="w-3 h-3 icon">
          <svg-icon
            svg-name="icon-promotion-2"
            :class="{ 'fill-selected': activetab === 'promotion' }"
            class="icon w-3 h-3"
          />
        </div>
        <p
          :class="activetab === 'promotion' ? 'fc-primary' : '--text4'"
          class="text-sm leading-[14px] uppercase"
        >
          {{ $t("promotion") }}
        </p>
      </div>
    </nuxt-link>
  </div>
</template>
<script lang="ts" setup>
import { useHeaderComponent } from "@/composables/useTheme";
import useHeaderRender from "@/composables/useHeaderRender";

const { menuTabHeaders, isAllowPromotionTab } = useHeaderComponent();
const { activetab, checkActiveTab } = useHeaderRender();
</script>

<style lang="scss" scoped>
.hideScrollbar::-webkit-scrollbar {
  display: none;
}
.menu-tab-header-style {
  .space:before,
  .border-selected:before {
    position: absolute;
    content: "";
    right: 0;
    bottom: 0;
    left: 0;
    height: 2px;
  }
  .space:before {
    background: var(--border);
  }
  .border-selected:before {
    background: var(--primary);
  }
}
.menu-tab-header-style {
  .game-type {
    .text {
      fill: var(--text5);
    }
    .text.fill-selected {
      fill: var(--primary);
    }
  }
}
</style>
